<?php
	$seccion    = 'Proveedores';
	$subseccion = 'Proveedor';
	$position   = '../../../';

	require_once($position.'../switch/access.php');
	require_once($position.'assets/global.php');
	require_once($position.'assets/session.php');
	require_once($position.'assets/funciones.php');

	if (isset($_GET['id'])){ $tipoAccion="editar"; }else{ $tipoAccion="nuevo"; }

	/* Usuario */
	if(isset($_POST['save'])== 'Ok'){

    if(isset($_POST['id'])){
			$idProveedor	= $_POST['id'];
		}
    $nombre				= addslashes(strip_tags($_POST['nombre']));
    $codigo				= addslashes(strip_tags($_POST['codigo']));
    $activo				= addslashes(strip_tags($_POST['activo']));

    //Nueva Proveedor
    if( $_POST['action'] == 'nuevo' ){

      //Save
      $qsProveedor = "
				INSERT INTO proveedores (
					nombre, codigo, activo
				)VALUES(
					'$nombre', '$codigo', '$activo'
				)
			";
      $sProveedor = mysqli_query($mysqli, $qsProveedor);
      $idProveedor = mysqli_insert_id($mysqli);

    }
    //END Nueva Proveedor

    //Edita Proveedor
    if( $_POST['action'] == 'editar' ){

      //Update
      $qeProveedor = "
      	UPDATE proveedores
				SET
					nombre 				= '$nombre',
					codigo				= '$codigo',
					activo				= '$activo'
				WHERE
					id = '$idProveedor'
			";
      $eProveedor = mysqli_query($mysqli, $qeProveedor);

    }
    //END Edita Proveedor

		if( $idProveedor && $_POST['action'] == 'nuevo' ){
			echo '<script type="text/javascript">document.location.href="index.php?id='.$idProveedor.'&sv=1"</script>';
		}
		if( $idProveedor && $_POST['action'] == 'editar' ){
			$sv = 1;
		}

	}//End if save
	/* END Usuario  */

	    //Query's

	if(isset($_GET['id'])){

    //qrProveedor
    $qrProveedor = "
			SELECT
				pro.id,
				pro.nombre, pro.codigo,
				pro.activo
			FROM proveedores pro
			WHERE pro.id = '$_GET[id]'
		";
    $rEncuensta  = mysqli_query($mysqli, $qrProveedor);
    $pro   = mysqli_fetch_assoc($rEncuensta);

	}
?>
<!DOCTYPE html>
<html lang="es_MX">
  <?php require_once($position.'head.php'); ?>


  <body class="loading" data-layout='{"mode": "light", "width": "fluid", "menuPosition": "fixed", "sidebar": { "color": "dark", "size": "default", "showuser": false}, "topbar": {"color": "light"}, "showRightSidebarOnPageLoad": false}'>

    <!-- Pagina de inicio -->
    <div id="wrapper">

      <!-- ========== Inicio nav-izq ========== -->
      <?php include_once($position.'assets/nav.php'); ?>
      <!-- Fin nav-izq -->

      <!-- ============================================================== -->
      <!-- Incio de Contenido -->
      <!-- ============================================================== -->

      <div class="content-page">
        <div class="content">

          <!-- Topbar -->
          <?php include_once($position.'assets/topbar.php'); ?>
          <!-- /Topbar -->

            <!-- Content-->
            <div class="container-fluid">
              <form method="post" enctype="multipart/form-data" class="parsley-examples" novalidate>

								<!-- page title -->
								<div class="row">
								  <div class="col-12">
								    <div class="page-title-box">
								      <h4 class="page-title"><?php echo $seccion; ?></h4>
								      <div class="page-title-right">
								        <ol class="breadcrumb m-0">
								          <?php
								            foreach ($SecLine as $i => $value) {
								          ?>
								            <li class="breadcrumb-item">
								              <a href="<?php echo $SecPos[$i]; ?>">
								                <?php echo $value; ?>
								              </a>
								            </li>
								          <?php } ?>
								        </ol>
								      </div>
								    </div>
								  </div>
								</div>
								<!-- /page title -->

								<!-- Botones -->
								<div class="row">
									<div class="col-12 text-right">

										<!-- Btn Regresar -->
										<button type="button" class="btn btn-white btn-sm" onclick="window.location.href='../'"><i class="fe-arrow-left"></i>&nbsp; Regresar</button>
										<!-- End Btn Regresar -->

										<!-- Btn Guardar -->
										<button type="submit" class="btn btn-success btn-sm">Guardar <i class="fe-check"></i></button>
										<!-- End Btn Guardar -->

										<input type="hidden" class="form-control" name="save" value="Ok">
										<input type="hidden" class="form-control" name="id" value="<?php echo $pro[id]; ?>">
										<input type="hidden" class="form-control" name="action" value="<?php echo $tipoAccion; ?>">

									</div>
									<div class="col-12" style="height: 5px;">&nbsp;</div>
								</div>
								<!-- End Botones -->

								<!-- Row -->
                <div class="row">
                  <div class="col-md-12">

										<!-- Nav tabs -->
										<ul class="nav nav-tabs tabcontent-border" role="tablist">
											<li class="nav-item">
												<a class="nav-link active" data-toggle="tab" href="#Informacion" role="tab">
													<span class="hidden-sm-up"><i class="ti-user"></i></span>
													<span class="hidden-xs-down">Información</span>
												</a>
											</li>
										</ul>
										<!-- End Nav tabs -->

										<!-- Tabs Content -->
										<div class="tab-content tabcontent-border">

											<!-- Tab Información -->
											<div class="tab-pane card-body active" id="Informacion" role="tabpanel">
												<div class="row">

													<!-- Nombre -->
													<div class="form-group col-md-12">
														<label for="inputPu" class="col-form-label">Nombre de Proveedor<span class="text-danger">*</span></label>
														<input
															type="text"
															class="form-control"
															name="nombre"
															placeholder="Nombre de Proveedor"
															value="<?php if(isset($pro['id'])){ echo $pro['nombre']; } ?>"
															required
															autocomplete="off"
														>
													</div>
													<!-- End Nombre -->

													<!-- Codigo -->
													<div class="form-group col-md-12">
														<label for="inputPu" class="col-form-label">Código<span class="text-danger">*</span></label>
														<input
															type="text"
															class="form-control"
															name="codigo"
															placeholder="Nombre de Proveedor"
															value="<?php if(isset($pro['id'])){ echo $pro['codigo']; } ?>"
															required
															autocomplete="off"
														>
													</div>
													<!-- End Codigo -->

													<!-- Activo -->
													<div class="form-group col-md-6">
														<label for="inputNo" class="col-form-label">Activo<span class="text-danger">*</span></label>
														<select name="activo" class="form-control" required>
															<option <?php if( $pro['id']){ if( $pro['activo'] == 1 ){ echo "selected='selected'"; } } ?> value="1">Activo</option>
															<option <?php if( $pro['id']){ if( $pro['activo'] == 0 ){ echo "selected='selected'"; } } ?> value="0">Inactivo</option>
														</select>
													</div>
													<!-- End Activo -->

												</div>
											</div>
											<!-- End Tab Información -->

										</div>
										<!-- End Tabs Content -->

                  </div>
                </div>
								<!-- End Row -->

              </form>
            </div> <!-- /Content -->

          </div> <!-- /content -->

          <!-- Footer -->
          <?php include_once($position.'assets/footer.php'); ?>
          <!-- /Footer -->

        </div>

      <!-- ============================================================== -->
      <!-- Fin de Contenido -->
      <!-- ============================================================== -->

    </div>
    <!--  /wrapper -->

  	<?php require_once($position.'scripts.php'); ?>

    <!-- save -->
    <script>
      <?php if( $_GET['sv'] == '1' || $sv == '1' ){ ?>
        $( document ).ready(function(){
	        Swal.fire({
            //position:"top-end",
            type:"success",
            title:"Elemento guardado correctamente.",
            showConfirmButton:!1,timer:2500
	        });
        });
      <?php } ?>
      <?php if( $_GET['sv'] == '2' ){ ?>
        $( document ).ready(function(){
	        Swal.fire({
	            type:"error",
	            title:"Oops...",
	            text:"El No. Telefónico ya fue registrado con anterioridad, ingresa un nuevo teléfono de contacto",
	            confirmButtonClass:"btn btn-confirm mt-2",
	            //footer:'<a href="">Why do I have this issue?</a>'
	        });
        });
      <?php } ?>

			//Add Pregunta
			var segcontpregs = <?php if( $SegPre ){ echo $SegPre; }else{ echo '0'; } ?>;
			$(document.body).on('click', '.BtnAddPregunta' ,function(){
				var Preguntas = $('.Preguntas');
				var cont = $(this).val();
				// $('#FormPer').parsley().destroy();
				segcontpregs = segcontpregs + 1;
				action = 'New';
				$.post("pregunta.php", { seg: segcontpregs, cont: cont, action: action }, function(data){
					Preguntas.append(data);
					// $(".chosen-select").chosen();
					// $('.chosen-select').trigger("chosen:updated");
					// $('#FormPer').parsley();
				});
			});
			//End Add Pregunta

			//DelPregunta
			$(document.body).on('click', '.DelPregunta' ,function(){
				$(this).parents('.Pregunta').remove();
			});
			//End DelPregunta

			//Cambio de Tipo de Pregunta
			$(document.body).on('change', '.PreguntaTipo' ,function(){
				Pregunta = $(this);
				$("option:selected", this).each(function () {
				  opc = $(this).val();
				  if( opc == '2' || opc == '3' ){
				    Pregunta.parents('.Pregunta').find('.Opciones').show();
				    Pregunta.parents('.Pregunta').find('.BtnAddOpcion').show();
				  }else{
						Pregunta.parents('.Pregunta').find('.Opciones').hide();
				    Pregunta.parents('.Pregunta').find('.BtnAddOpcion').hide();
					}
				});
			});
			//End Cambio de Tipo de Pregunta

			//Add Opciones
			$(document.body).on('click', '.BtnAddOpcion' ,function(){
				var idpreg = $(this).data('id');
				Opciones = $(this).parents('.Pregunta').find('.Opciones');
				$.post("opcion.php", { idpreg: idpreg }, function(data){
					Opciones.append(data);
				});
			});
			//End Add Opciones

			//DelOpcion
			$(document.body).on('click', '.DelOpcion' ,function(){
				$(this).parents('.Opcion').remove();
			});
			//End DelOpcion

    </script>


  </body>

</html>
